'PILトリミングイメージの使用エラー:AttributeError:' '_ idat' 'オブジェクトに属性がありません' 'fileno' ''

Error Using Pil Crop Image

PILを使用する場合Imageカテゴリcrop方法画像をカットするときに次のエラーを報告した場合:

AttributeError: '_idat' object has no attribute 'fileno' During handling of the above exception, another exception occurred: File '/home/username/anaconda3/lib/python3.7/site-packages/PIL/ImageFile.py', line 489, in _save e.setimage(im.im, b) SystemError: tile cannot extend outside image

次に、問題は入力トリミングが原因ですboxパラメータが画像の境界を超えています。上記の最初のエラーは、画像自体のエラーまたはコーディングエラーと間違えられる可能性があります。問題を解決する過程で試してみました。save指定された画像形式を関数に表示してください。'PNG'待ってください。問題を解決できません。

最後に、ドキュメントのcropメソッドを確認してください。boxパラメータによって問題が解決されました。

ボックス–(左、上、右、下)タプルとしての長方形の切り抜き。

渡された引数は、「左位置、上位置、右位置、下位置」が指定されたタプルデータ型であることを説明します。 注意してくださいright with belowそれぞれ左側と上部より大きくなければなりません それ以外の場合は、上記のエラーが報告されます。